import React, { DetailedHTMLProps, HTMLAttributes, ReactNode } from "react";
import { SpeechStatus, useSpeech, useSpeechProps } from "./hooks.js";
export { useSpeechProps };
export type Button = JSX.Element | string | null;
export type DivProps = DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
export type { SpeechStatus };
export type ChildrenOptions = {
    speechStatus?: SpeechStatus;
    start?: Function;
    pause?: Function;
    stop?: Function;
};
export type Children = (childrenOptions: ChildrenOptions) => ReactNode;
export type SpeechProps = useSpeechProps & {
    id?: string;
    startBtn?: Button;
    pauseBtn?: Button;
    stopBtn?: Button;
    useStopOverPause?: boolean;
    props?: DivProps;
    children?: Children;
};
export type { SpanProps } from "./hooks.js";
export type { IconProps } from "./icons.js";
export type { Index, SpeechUtterancesQueue, StringArray } from "./utils.js";
export default function Speech({ id, startBtn, pauseBtn, stopBtn, useStopOverPause, props, children, ...hookProps }: SpeechProps): React.JSX.Element;
export declare function HighlightedText({ id, children, ...props }: DivProps): React.JSX.Element;
export { useSpeech };
