import { ReactNode } from "react";
export type SpeechUtterancesQueue = SpeechSynthesisUtterance[];
export type Index = string | number;
export type StringArray = string[] | StringArray[];
export declare class ExtendedSpeechSynthesis {
    static queue: SpeechUtterancesQueue;
    static addToQueue(utterance: SpeechSynthesisUtterance): void;
    static removeFromQueue(utterance?: SpeechSynthesisUtterance): SpeechSynthesisUtterance | undefined;
    static clearQueue(): void;
    static speakFromQueue(): void;
}
export declare const getIndex: (parentIndex: Index, index: Index) => string;
export declare const sanitize: (text: string) => string;
export declare function JSXToArray(element: ReactNode): StringArray;
export declare function JSXToText(element: ReactNode): string;
export declare function findCharIndex(characters: StringArray, index: number): string;
export declare function isParent(index: string | undefined, parentIndex: string): boolean;
